<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Description of install
 *
 * @author jub
 */

class Install extends CI_Controller {

	function __construct() {
		parent::__construct();
		$this->load->library('doctrine');
		$this->load->helper('file');

	}

	function index() {
		//recupÃ©ration du gestionnaire d'entitÃ©es
		$em = $this->doctrine->em;

		//suppression et creation des tables de la base
		$tool = new \Doctrine\ORM\Tools\SchemaTool($em);
		$tool->dropDatabase();
	  
		$classes = array(
			$em->getClassMetadata('\models\Utilisateur'),
			$em->getClassMetadata('\models\Categorie'),
			$em->getClassMetadata('\models\Image'),
			$em->getClassMetadata('\models\Nouvelle')
		);
		$tool->createSchema($classes);

		//utilisateur
		$admin = new \models\Utilisateur('admin', 0, 'password');
		$invite = new \models\Utilisateur('invite', 1, 'invite');
		
		$em->persist($admin);
		$em->persist($invite);
		$em->flush();
		//categorie
		$categorie_alimentation = new \models\Categorie("alimentation");
		$categorie_meteo = new \models\Categorie("meteo");
		$categorie_politique = new \models\Categorie("politique");
		$categorie_shopping = new \models\Categorie("shopping");
		$categorie_sport = new \models\Categorie("sport");
		$categorie_voyage = new \models\Categorie("voyage");
		
		$em->persist($categorie_alimentation);
		$em->persist($categorie_meteo);
		$em->persist($categorie_politique);
		$em->persist($categorie_shopping);
		$em->persist($categorie_sport);
		$em->persist($categorie_voyage);
		$em->flush();
		//image
		$imageMn_116b = new \models\Image("Mn_116b","président");
		$imageMn_15 = new \models\Image("Mn_15","chef");
		$imageMn_23 = new \models\Image("Mn_23","ciel bleu");
		$imageRz_103 = new \models\Image("Rz_103","fourchette");
		$imageRz_104 = new \models\Image("Rz_104","citron");
		$imageRz_12 = new \models\Image("Rz_12","pisé");
		$imageRz_13 = new \models\Image("Rz_13","voile");
		$imageRz_17 = new \models\Image("Rz_17","gateau");
		$imageRz_48 = new \models\Image("Rz_48","montagne");
		$imageRz_57 = new \models\Image("Rz_57","péche");
		$imageRz_7 = new \models\Image("Rz_7","sports");
		
		$em->persist($imageMn_116b);
		$em->persist($imageMn_15);
		$em->persist($imageMn_23);
		$em->persist($imageRz_103);
		$em->persist($imageRz_104);
		$em->persist($imageRz_12);
		$em->persist($imageRz_13);
		$em->persist($imageRz_17);
		$em->persist($imageRz_48);
		$em->persist($imageRz_57);
		$em->persist($imageRz_7);
		
		$em->flush();
		//nouvelle
		
		$nouvelle01 = new \models\Nouvelle("Elections", 
				"Bientôt un nouveau ...........................................................", 
				$categorie_politique, $imageMn_116b);
		$nouvelle02 = new \models\Nouvelle("Nouveau Chef",
				"Bientôt un nouveau chef ...........................................................", 
				$categorie_politique, $imageMn_15);
		$nouvelle03 = new \models\Nouvelle("Canicule",
				"Vague de chaud sur l'Isère ...........................................................", 
				$categorie_meteo, $imageMn_23);
		$nouvelle04 = new \models\Nouvelle("Cuisine française",
				"Bientôt un nouveau chef ...........................................................", 
				$categorie_alimentation, $imageRz_103);
		$nouvelle05 = new \models\Nouvelle("Citron Corse",
				"Bientôt un nouveau citron ...........................................................", 
				$categorie_alimentation, $imageRz_104);
		
		$nouvelle06 = new \models\Nouvelle("Maison à vendre",
				"Une bien belle maison ...........................................................", 
				$categorie_shopping, $imageRz_12);
		
		$nouvelle07 = new \models\Nouvelle("Voile",
				"Une bien belle voile ...........................................................", 
				$categorie_sport, $imageRz_13);
		
		$nouvelle08 = new \models\Nouvelle("Gateau",
				"Un bon gateau ...........................................................", 
				$categorie_alimentation, $imageRz_17);
		
		$nouvelle09 = new \models\Nouvelle("Randonnée",
						"Vive la montagne ...........................................................", 
		$categorie_sport, $imageRz_48);
		
		$nouvelle10 = new \models\Nouvelle("Péche",
								"Vive le sport ...........................................................", 
		$categorie_sport, $imageRz_57);
		
		$nouvelle11 = new \models\Nouvelle("Sport",
								"Vive les sports ...........................................................", 
		$categorie_sport, $imageRz_48);
		
		$em->persist($nouvelle01);
		$em->persist($nouvelle02);
		$em->persist($nouvelle03);
		$em->persist($nouvelle04);
		$em->persist($nouvelle05);
		$em->persist($nouvelle06);
		$em->persist($nouvelle07);
		$em->persist($nouvelle08);
		$em->persist($nouvelle09);
		$em->persist($nouvelle10);
		$em->persist($nouvelle11);
		
		$em->flush();
	
		
	}


}

?>
