<?php
class Main extends CI_Controller {

	public function __construct(){
		parent::__construct();
		$this->load->library('doctrine');
		$this->load->helper('url');
		$this->output->cache(10);
	}
	
	public function index(){
		$this->load->view('index_view');
	}

	public function getCategories(){
		$em=$this->doctrine->em;
		$repository = $em->getRepository('models\Categorie');
		$res = $repository->getAll();
		$this->load->view('json_view', array('data'=>$res));
	}
	
	public function getNouvellesByCategorie($nomCategorie)
	{
		$em=$this->doctrine->em;
		$repository = $em->getRepository('models\Nouvelle');
		$res = $repository -> getByCategorieNom($nomCategorie);
		$this->load->view('json_view', array('data'=>$res));
	}
	
	public function getDernieresNouvellesByCategorie($nomCategorie, $nb)
	{
		$em=$this->doctrine->em;
		$repository = $em->getRepository('models\Nouvelle');
		$res = $repository -> getByCategorieNomDescLimit($nomCategorie,$nb);
		$this->load->view('json_view', array('data'=>$res));
	} 
	
	public function getDernieresNouvelles($nb)
	{
		$em=$this->doctrine->em;
		$repository = $em->getRepository('models\Nouvelle');
		$res = $repository -> getDerniereNouvelle($nb);
		$this->load->view('json_view', array('data'=>$res));
	}
	
	
	public function getNouvelleByIdnouvelle($idnouvelle){
		$em=$this->doctrine->em;
		$repository = $em->getRepository('models\Nouvelle');
		$res = $repository -> getByIdnouvelle($idnouvelle);
		$this->load->view('json_view', array('data'=>$res));
	}
	
	public function getImageByUrl($url)
	{
		redirect('/ressources/images/'.$url, 'location');
	}
	
	
	
	
	
}