<?php
namespace models;


use Doctrine\ORM\Mapping as ORM;

/**
 * User
 *
 * @Table(name="utilisateur")
 * @Entity(repositoryClass="\models\repositories\UtilisateurRepository")
 */
class Utilisateur
{
    /**
     * @var string $login
     *
     * @Column(name="login", type="string", length=45, nullable=false)
     * @Id
     * @GeneratedValue(strategy="NONE")
     */
    private $login;

    /**
     * @var string $password
     *
     * @Column(name="password", type="string", length=45, nullable=false)
     */
    private $password;

    /**
     * @var boolean $level
     *
     * @Column(name="level", type="boolean", nullable=false)
     */
    private $level;
    
    
    private function salt($password){
    	$CI = & get_instance();
    	return md5($password.$CI->config->item('encryption_key'));
    }

    
    public function __construct($login, $level, $password){
    	$CI = & get_instance();
    	$this->login = $login;
    	$this->level=$level;
    	$this->password=$this->salt($password);
    }
    
    
    public function getLogin() {
    	return $this->login;
    }
    
    public function getPassword() {
    	return $this->password;
    }
    
    public function getLevel() {
    	return $this->level;
    }
    
    
    
    public function setLogin($login){
    	$this->login=$login;
    }
    
    public function setPassword($password) {
    	
    	$this->$password = $this->salt($password);
    }
    
    public function setLevel($level) {
    	$this->level = $level;
    }
    
}